package info.textgrid.lab.collatex.ui.utils;

import info.textgrid.lab.collatex.ui.parts.CollationSetEditor;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IToolBarManager;
import org.eclipse.ui.IActionBars;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.actions.RetargetAction;
import org.eclipse.ui.part.EditorActionBarContributor;

public class CollationSetEditorContributor extends EditorActionBarContributor {


	private final RetargetAction deleteAction;
	private IEditorPart activeEditor;
	private Action deleteHandler;

	@Override
	public void init(final IActionBars bars, final IWorkbenchPage page) {
		super.init(bars, page);
		deleteHandler = new Action() {

			@Override
			public void run() {
				if (activeEditor instanceof CollationSetEditor) {
					final CollationSetEditor editor = (CollationSetEditor) activeEditor;
					editor.deleteSelection();
				}
			}
		};
		bars.setGlobalActionHandler(ActionFactory.DELETE.getId(), deleteHandler);
	}

	public CollationSetEditorContributor() {
		deleteAction = new RetargetAction(ActionFactory.DELETE.getId(),
				Messages.CollationSetEditorContributor_RemoveEntry);
	}

	@Override
	public void contributeToToolBar(final IToolBarManager toolBarManager) {

	}

	@Override
	public void setActiveEditor(final IEditorPart targetEditor) {
		this.activeEditor = targetEditor;
	}

}
